com.dlsc.flexgantt.policy.treetable

## Interface IRowPolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    DefaultRowPolicy

      public interface IRowPolicy
      extends IPolicy

  A policy for controlling the behaviour of the rows in a tree table.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRowHeight(Object node, ITreeTableModel model)` Returns the current height of the row in which the given tree node gets displayed.
    `int` | `getRowHeightMaximum(Object node, ITreeTableModel model)` Returns the maximum height of the row in which the given tree node gets displayed.
    `int` | `getRowHeightMinimum(Object node, ITreeTableModel model)` Returns the minimum height of the row in which the given tree node gets displayed.
    `ICommand` | `getRowResizeCommand(Object node, ITreeTableModel model, int rowHeight)` Returns a command object that will peform the actual resizing of the row / node.
    `String` | `getRowToolTip(Object node, ITreeTableModel model, TreeTableColumn column)` Returns a tooltip text for the given node and column.
    `boolean` | `isRowLineVisible(Object node, boolean expanded, ITreeTableModel model)` Determines whether or not the horizontal grid line for the row will be visible or not.
    `boolean` | `isRowResizable(Object node, ITreeTableModel model)` Determines whether or not the row in which the given tree node gets displayed is resizable at all by the user.

- - ### Method Detail

    - #### getRowHeight

          int getRowHeight(Object node,
                           ITreeTableModel model)

      Returns the current height of the row in which the given tree node gets displayed.
      Parameters:
        `node` - the tree table node for which the row height gets returned
        `model` - the data source that returned the tree table node
      Returns:
        the current height of the row
      Since:
        1.0

    - #### getRowHeightMinimum

          int getRowHeightMinimum(Object node,
                                  ITreeTableModel model)

      Returns the minimum height of the row in which the given tree node gets displayed.
      Parameters:
        `node` - the tree table node for which the row height gets returned
        `model` - the data source that returned the tree table node
      Returns:
        the minimum height of the row
      Since:
        1.0

    - #### getRowHeightMaximum

          int getRowHeightMaximum(Object node,
                                  ITreeTableModel model)

      Returns the maximum height of the row in which the given tree node gets displayed.
      Parameters:
        `node` - the tree table node for which the row height gets returned
        `model` - the data source that returned the tree table node
      Returns:
        the maximum height of the row
      Since:
        1.0

    - #### isRowResizable

          boolean isRowResizable(Object node,
                                 ITreeTableModel model)

      Determines whether or not the row in which the given tree node gets displayed is resizable at all by the user.
      Parameters:
        `node` - the tree table node for which to check resizability
        `model` - the data source that returned the tree table node
      Returns:
        TRUE if the given row / node can be resized
      Since:
        1.0

    - #### isRowLineVisible

          boolean isRowLineVisible(Object node,
                                   boolean expanded,
                                   ITreeTableModel model)

      Determines whether or not the horizontal grid line for the row will be visible or not. By definition the horizontal grid line is located at the bottom of the row.
      Parameters:
        `node` - the tree table node for wich to check the line visibility
        `expanded` - if TRUE the tree node is currently expanded (the visibility often depends on this information)
        `model` - the data source that returned the tree table node
      Returns:
        TRUE if horizontal grid line for the given row / node can be is visible
      Since:
        1.0

    - #### getRowToolTip

          String getRowToolTip(Object node,
                               ITreeTableModel model,
                               TreeTableColumn column)

      Returns a tooltip text for the given node and column.
      Parameters:
        `node` - the node / row for which to return a tooltip
        `model` - the data source that returned the node
        `column` - the column for which to return a tooltip
      Returns:
        a text that will be displayed as a tooltip
      Since:
        1.0

    - #### getRowResizeCommand

          ICommand getRowResizeCommand(Object node,
                                       ITreeTableModel model,
                                       int rowHeight)

      Returns a command object that will peform the actual resizing of the row / node.
      Parameters:
        `node` - the node / row that is getting resized
        `model` - the data source that returned the node
        `rowHeight` - the new row height that the command shall apply
      Returns:
        a command used for resizing the given node
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.